Name:           jaxb-fi
Version:        1.2.18
Release:        %mkrel 2
Group:          Development/Java
Summary:        Implementation of the Fast Infoset Standard for Binary XML
# jaxb-fi is licensed ASL 2.0 and EDL-1.0 (BSD)
# bundled org.apache.xerces.util.XMLChar.java is licensed ASL 1.1
License:        ASL 2.0 and BSD and ASL 1.1

URL:            https://github.com/eclipse-ee4j/jaxb-fi
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.sun.xml.stream.buffer:streambuffer)
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.jaxb:xsom)

# package renamed in fedora 33, remove in fedora 35
Provides:       glassfish-fastinfoset = %{version}-%{release}
Obsoletes:      glassfish-fastinfoset < 1.2.15-5

# javadoc subpackage is currently not built
Obsoletes:      glassfish-fastinfoset-javadoc < 1.2.15-5

%description
Fast Infoset Project, an Open Source implementation of the Fast Infoset
Standard for Binary XML.

The Fast Infoset specification (ITU-T Rec. X.891 | ISO/IEC 24824-1)
describes an open, standards-based "binary XML" format that is based on
the XML Information Set.


%prep
%setup -q

pushd code
# remove unnecessary dependency on parent POM
# org.eclipse.ee4j:project is not packaged and not required
%pom_remove_parent

# disable unnecessary submodules
%pom_disable_module roundtrip-tests
%pom_disable_module samples

# disable unnecessary plugins
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
popd


%build
pushd code
# skip javadoc build due to https://github.com/fedora-java/xmvn/issues/58
%mvn_build -j -- -DbuildNumber=unknown
popd


%install
pushd code
%mvn_install
popd


%files -f code/.mfiles
%license LICENSE NOTICE.md
%doc README.md



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.2.18-2.mga9
+ Revision: 1827557
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.2.18-1.mga8
+ Revision: 1621675
- Update to 1.2.18
- package renamed to jaxb-fi

* Wed Feb 12 2020 umeabot <umeabot> 1.2.13-9.mga8
+ Revision: 1506321
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.2.13-8.mga7
+ Revision: 1261852
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.2.13-7.mga6
+ Revision: 1102571
- Fix build

* Wed Mar 02 2016 neoclust <neoclust> 1.2.13-6.mga6
+ Revision: 981880
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2.13-5.mga6
+ Revision: 976258
- First rebuild of the java stack
- sync package glassfish-fastinfoset with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-10.mga5
+ Revision: 747366
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.12-8.mga4
+ Revision: 563536
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12-6.mga3
+ Revision: 351700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.2.12-5.mga3
+ Revision: 291458
- Obsolete old packages
- imported package glassfish-fastinfoset

